Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.124. storeset(p_set_comment integer, p_set_id text)

Function Properties

Language: PLPGSQL

Return Type: bigint

Generate STORE_SET event for set set_id with human readable comment set_comment

    declare
    	v_local_node_id		int4;
    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	v_local_node_id := getLocalNodeId('_schemadoc');

    	insert into sl_set
    			(set_id, set_origin, set_comment) values
    			(p_set_id, v_local_node_id, p_set_comment);

    	return createEvent('_schemadoc', 'STORE_SET',
    			p_set_id::text, v_local_node_id::text, p_set_comment::text);
    end;

Prev | Home | Next
storepath_int(p_pa_connretry integer, p_pa_conninfo integer, p_pa_client text, p_pa_server integer) | Up | storeset_int(p_set_comment integer, p_set_origin integer, p_set_id text)